Cocoon API: Class NoCache

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.cache
Class NoCache

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.cache.NoCache

All Implemented Interfaces:
  Actor, Cache, Status

public class NoCache
extends AbstractActor
implements Cache, Status

A caching implementation that doesn't cache anything :).

Version:
  $Revision: 1.7 $Date: 2000/11/20 01:43:52 $
Author:
  Stefano Mazzocchi

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Constructor Summary
`NoCache()`

Method Summary
`void` | `flush()` Flushes the cache and forces an additional cache cleanup.
`long` | `getLastModified(javax.servlet.http.HttpServletRequest request)` Just returns -1.
`Page` | `getPage(javax.servlet.http.HttpServletRequest request)` It returns null if no page is available.
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.
`void` | `setPage(Page page, javax.servlet.http.HttpServletRequest request)` Sets the page into the cache system using data from the request object for indexing.

Methods inherited from class org.apache.cocoon.framework.AbstractActor
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.framework.Actor
`init`

Constructor Detail

### NoCache

    public NoCache()

Method Detail

### getPage

    public Page getPage(javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `Cache`
  It returns null if no page is available.
  Specified by:
    `getPage` in interface `Cache`

### setPage

    public void setPage(Page page,
                        javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `Cache`
  Sets the page into the cache system using data from the request object for indexing.
  Specified by:
    `setPage` in interface `Cache`

### flush

    public void flush()

  Description copied from interface: `Cache`
  Flushes the cache and forces an additional cache cleanup. This is normally used when the system requires additional memory.
  Specified by:
    `flush` in interface `Cache`

### getLastModified

    public long getLastModified(javax.servlet.http.HttpServletRequest request)

  Just returns -1.
  Specified by:
    `getLastModified` in interface `Cache`

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.